Bug 823066 - Review Request: php-symfony2-Validator - Symfony2 Validator Component
Review Request: php-symfony2-Validator - Symfony2 Validator Component
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On: php-channel-symfony2 817303 823054
Blocks: 823071
  Show dependency treegraph
 
Reported: 2012-05-18 17:51 EDT by Shawn Iwinski
Modified: 2012-07-19 18:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-12 14:56:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
php-symfony2-Validator-review.txt (6.54 KB, text/plain)
2012-06-24 03:24 EDT, Remi Collet
no flags Details

  None (edit)
Comment 1 Shawn Iwinski 2012-05-20 14:14:29 EDT
Updates per comments in bug 823043

- Removed BuildRoot
- Changed php require to php-common
- Added the following requires based on phpci results:
  php-ctype, php-date, php-libxml, php-mbstring, php-pcre,
  php-simplexml, php-spl, php-pecl-apc
- Removed %defattr from %files section

SPEC URL:
http://people.redhat.com/siwinski/rpmbuild/SPECS/php-symfony2-Validator.spec

SRPM URL:
http://people.redhat.com/siwinski/rpmbuild/SRPMS/php-symfony2-Validator-2.0.14-2.fc16.src.rpm
Comment 4 Shawn Iwinski 2012-05-31 13:39:08 EDT
Updated to upstream version 2.0.15 & updates per bug #817303

- Removed "BuildRequires: php-pear >= 1:1.4.9-1.2"
- Updated %prep section
- Removed cleaning buildroot from %install section
- Removed documentation move from %install section (fixed upstream)
- Removed %clean section
- Updated %doc in %files section

SPEC URL: http://people.redhat.com/siwinski/rpmbuild/SPECS/php-symfony2-Validator.spec

SRPM URL: http://people.redhat.com/siwinski/rpmbuild/SRPMS/php-symfony2-Validator-2.0.15-1.fc16.src.rpm
Comment 5 Shawn Iwinski 2012-06-10 19:58:33 EDT
Issue: XSD file installed as doc, but referenced by code.

-- XSD file --
Symfony/Component/Validator/Mapping/Loader/schema/dic/constraint-mapping/constraint-mapping-1.0.xsd

-- Code (from Symfony/Component/Validator/Mapping/Loader/XmlFileLoader.php) --
    protected function parseFile($file)
    {
        $dom = new \DOMDocument();
        libxml_use_internal_errors(true);
        if (!$dom->load($file, defined('LIBXML_COMPACT') ? LIBXML_COMPACT : 0)) {
            throw new MappingException(implode("\n", $this->getXmlErrors()));
        }
	if (!$dom->schemaValidate(__DIR__.'/schema/dic/constraint-mapping/constraint-mapping-1.0.xsd$
            throw new MappingException(implode("\n", $this->getXmlErrors()));
        }
        $dom->validateOnParse = true;
        $dom->normalizeDocument();
        libxml_use_internal_errors(false);

        return simplexml_import_dom($dom);
    }



See original finding of this issue at https://bugzilla.redhat.com/show_bug.cgi?id=823046#c8
Comment 6 Shawn Iwinski 2012-06-13 02:09:48 EDT
Added optional requires

- Added php-pear(%{pear_channel}/HttpFoundation) require
- Added php-pear(%{pear_channel}/Yaml) require
- Removed ownership for directories already owned by required packages

Update per comment #5

- Fix package.xml for *.xsd file issue

SPEC URL: http://people.redhat.com/~siwinski/rpmbuild/SPECS/php-symfony2-Validator.spec

SRPM URL: http://people.redhat.com/~siwinski/rpmbuild/SRPMS/php-symfony2-Validator-2.0.15-3.fc17.src.rpm
Comment 7 Remi Collet 2012-06-24 03:24:55 EDT
Created attachment 593976 [details]
php-symfony2-Validator-review.txt

Generated by fedora-review 0.1.3
Comment 8 Remi Collet 2012-06-24 03:32:12 EDT
Just need to fix the apc requirement.

Note: this is not a minor dependency, as it can change the web server user experience. Of couse, it should improved perf. But could also breaks some code.

For exemple, APC 3.1.10 breaks symfony2 framework ;)
Of course, such issue will have to be fixed ;)
=> https://admin.fedoraproject.org/updates/php-pecl-apc-3.1.10-2.fc17

Of course, this still your choice, I just want you to be aware of this.



In all case, if you keep it, please change to 
Requires: php-pecl(APC)
Comment 9 Shawn Iwinski 2012-06-24 23:45:54 EDT
(In reply to comment #8)

Agreed.  I will remove the dependency and re-post SPEC and SRPM.
Comment 10 Remi Collet 2012-06-25 14:34:59 EDT
Sorry, but I have miss that one

/usr/share/pear/Symfony/Component/Validator/ValidatorFactory.php and
/usr/share/pear/Symfony/Component/Validator/Mapping/Loader/AnnotationLoader.php
use Doctrine\Common\Annotations\Reader

So you probably need php-doctrine-DoctrineCommon (not yet packaged).

So please
1/ assure this is an optionnal dep
2/ consider submitting a review for this package.
Comment 11 Shawn Iwinski 2012-06-30 01:26:13 EDT
(In reply to comment #10)
> Sorry, but I have miss that one
> 
> /usr/share/pear/Symfony/Component/Validator/ValidatorFactory.php and
> /usr/share/pear/Symfony/Component/Validator/Mapping/Loader/AnnotationLoader.
> php
> use Doctrine\Common\Annotations\Reader
> 
> So you probably need php-doctrine-DoctrineCommon (not yet packaged).
> 
> So please
> 1/ assure this is an optionnal dep
> 2/ consider submitting a review for this package.

Almost the same response as https://bugzilla.redhat.com/show_bug.cgi?id=823075#c6.  However, v2.0.15 composer lists "DoctrineCommon" as "require" but it moved to "suggest" in v2.1.0BETA1.  No change in PEAR dependencies between those versions.  It still appears that this dependency is optional though.  I plan on packaging DoctrineCommon soon.  If you feel this is a blocker, we can wait on this package (and Form package and therefore Security package because of their dependencies).
Comment 12 Remi Collet 2012-06-30 01:48:25 EDT
AS this is only an optional dep., just fix the APC dependency, I will approve this package. Optional could be added later.
Comment 13 Remi Collet 2012-06-30 01:48:55 EDT
Sorry for the noise...
Comment 15 Remi Collet 2012-07-01 02:57:46 EDT
== APPROVED ==
Comment 16 Shawn Iwinski 2012-07-01 21:38:06 EDT
New Package SCM Request
=======================
Package Name: php-symfony2-Validator
Short Description: Symfony2 Validator Component
Owners: siwinski
Branches: f16 f17 el6
InitialCC:
Comment 17 Gwyn Ciesla 2012-07-01 22:39:51 EDT
Git done (by process-git-requests).
Comment 18 Fedora Update System 2012-07-02 16:29:40 EDT
php-symfony2-Validator-2.0.15-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-symfony2-Validator-2.0.15-4.fc17
Comment 19 Fedora Update System 2012-07-02 16:29:50 EDT
php-symfony2-Validator-2.0.15-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-symfony2-Validator-2.0.15-4.el6
Comment 20 Fedora Update System 2012-07-02 16:29:59 EDT
php-symfony2-Validator-2.0.15-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/php-symfony2-Validator-2.0.15-4.fc16
Comment 21 Fedora Update System 2012-07-03 11:48:33 EDT
php-symfony2-Validator-2.0.15-4.fc17 has been pushed to the Fedora 17 testing repository.
Comment 22 Fedora Update System 2012-07-12 14:56:29 EDT
php-symfony2-Validator-2.0.15-4.fc17 has been pushed to the Fedora 17 stable repository.
Comment 23 Fedora Update System 2012-07-12 15:00:25 EDT
php-symfony2-Validator-2.0.15-4.fc16 has been pushed to the Fedora 16 stable repository.
Comment 24 Fedora Update System 2012-07-19 18:37:14 EDT
php-symfony2-Validator-2.0.15-4.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.